--- title: "changeBlockStorageInstance" slug: "compute-vserver-storage-changeblockstorageinstance" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-storage-changeblockstorageinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # changeBlockStorageInstance Available in VPC Change the volume size of block storage. For block storage that is assigned to a server, changes can only be made while the server instance is stopped. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/changeBlockStorageInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `blockStorageInstanceNo` | String | Required | Block storage instance number - See [getBlockStorageInstanceList](/docs/en/compute-vserver-storage-getblockstorageinstancelist). | | `blockStorageSize` | Integer | Required | Block storage size (GB) - XEN: 10-2000 - KVM: 10-16380 - Enter in 10 GB increments. - Can only be changed beyond the existing size. - Changes take effect after the server expands the file storage size. - See [Change storage size](https://guide.ncloud-docs.com/docs/en/server-storage-modify-vpc#%EC%8A%A4%ED%86%A0%EB%A6%AC%EC%A7%80-%EB%B3%80%EA%B2%BD). | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/changeBlockStorageInstance ?regionCode=KR &blockStorageInstanceNo=*****3168 &blockStorageSize=20 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `changeBlockStorageInstanceResponse` | Object | - | Response result - See [BlockStorageInstanceList](/docs/en/common-vapidatatype-blockstorageinstancelist). | | `changeBlockStorageInstanceResponse.requestId` | String | - | ID for the request - UUID format | | `changeBlockStorageInstanceResponse.returnCode` | String | - | Response code | | `changeBlockStorageInstanceResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "changeBlockStorageInstanceResponse": { "totalRows": 1, "blockStorageInstanceList": [ { "blockStorageInstanceNo": "*****3168", "blockStorageName": "storageX", "blockStorageType": { "code": "SVRBS", "codeName": "Server BS" }, "blockStorageSize": 21474836480, "blockStorageProductCode": "BST.CB.CB1.V001", "blockStorageInstanceStatus": { "code": "CREAT", "codeName": "Block storage CREATED status" }, "blockStorageInstanceOperation": { "code": "CHNG", "codeName": "Block storage RESIZE OP" }, "blockStorageInstanceStatusName": "changingSpec", "createDate": "2025-06-20T15:35:25+0900", "blockStorageDiskType": { "code": "NET", "codeName": "Network storage" }, "blockStorageDiskDetailType": { "code": "SSD", "codeName": "SSD" }, "maxIopsThroughput": 100, "isEncryptedVolume": false, "zoneCode": "KR-2", "regionCode": "KR", "isReturnProtection": true, "blockStorageVolumeType": { "code": "CB1", "codeName": "Common BlockStorage 1" }, "hypervisorType": { "code": "KVM", "codeName": "KVM" }, "throughput": 104857600, "iops": 100 } ], "requestId": "a8d5069a-****-****-****-9deee1e4af31", "returnCode": "0", "returnMessage": "success" } } ```